### Method

# Gdk Texture download_float

#### Declaration [src]

    void
    gdk_texture_download_float (
      GdkTexture* texture,
      float* data,
      gsize stride
    )

#### Description [src]

Downloads the `texture` into local memory in a high dynamic range format.

This may be an expensive operation, as the actual texture data may reside on a GPU or on a remote display server and because the data may need to be upsampled if it was not already available in this format.

You may want to use `gdk_texture_download()` instead if you don’t need high dynamic range support.

The data format of the downloaded data is equivalent to GDK_MEMORY_R32G32B32A32_FLOAT_PREMULTIPLIED, so every downloaded pixel requires 16 bytes of memory.

Note that the caller is responsible to provide sufficiently aligned memory to access the resulting data directly as floats.

Available since: | 4.6

#### Parameters

`data` | An array of `float`
| Pointer to enough memory to be filled with the downloaded data of `texture`.
| The data is owned by the caller of the function.
`stride` | `gsize`
| Rowstride in elements, will usually be equal to `gdk_texture_get_width()` * 4